Loading...
Searching...
No Matches
Dune::GridGlue::IntersectionData< P0, P1 > Class Template Reference

storage class for Dune::GridGlue::Intersection related data More...

`#include <dune/grid-glue/adapter/intersection.hh>`

## Public Types

typedef ::Dune::GridGlue::GridGlue< P0, P1 > | GridGlue
typedef GridGlue::IndexType | IndexType
template<int side>
using | GridLocalGeometry
template<int side>
using | GridGeometry
template<int side>
using | GridIndexType = typename GridGlue::template GridView<side>::IndexSet::IndexType

## Public Member Functions

| IntersectionData (const GridGlue GridGlue &glue, unsigned int mergeindex, unsigned int offset, bool grid0local, bool grid1local)
| Constructor the n'th IntersectionData of a given GridGlue.
| IntersectionData ()=default
| Default Constructor.
template<int side>
const GridLocalGeometry< side > & | localGeometry (unsigned int parentId=0) const
template<int side>
const GridGeometry< side > & | geometry () const
template<int side>
bool | local () const
template<int side>
IndexType | index (unsigned int parentId=0) const
template<int side>
IndexType | parents () const

## Public Attributes

IndexType | index_
| index of this intersection after GridGlue interface

## Static Public Attributes

static constexpr int | coorddim = GridGlue::dimworld
| Dimension of the world space of the intersection.
static constexpr int | mydim = dim<0>() < dim<1>() ? dim<0>() : dim<1>()
| Dimension of the intersection.

## Detailed Description

template<typename P0, typename P1>
class Dune::GridGlue::IntersectionData< P0, P1 >

storage class for Dune::GridGlue::Intersection related data

## Member Typedef Documentation

## GridGeometry

template<typename P0, typename P1>
template<int side>

using Dune::GridGlue::IntersectionData< P0, P1 >::GridGeometry

Initial value:
AffineGeometry<
typename GridGlue::template GridView<side>::ctype, mydim, GridGlue::template GridView<side>::dimensionworld>
Dune::GridGlue::IntersectionData::mydim
static constexpr int mydim
Dimension of the intersection.
Definition intersection.hh:54

## GridGlue

template<typename P0, typename P1>

typedef ::Dune::GridGlue::GridGlue<P0, P1> Dune::GridGlue::IntersectionData< P0, P1 >::GridGlue

## GridIndexType

template<typename P0, typename P1>
template<int side>

using Dune::GridGlue::IntersectionData< P0, P1 >::GridIndexType = typename GridGlue::template GridView<side>::IndexSet::IndexType

## GridLocalGeometry

template<typename P0, typename P1>
template<int side>

using Dune::GridGlue::IntersectionData< P0, P1 >::GridLocalGeometry

Initial value:
AffineGeometry<
typename GridGlue::template GridView<side>::ctype, mydim, GridGlue::template GridView<side>::dimension>

## IndexType

template<typename P0, typename P1>

typedef GridGlue::IndexType Dune::GridGlue::IntersectionData< P0, P1 >::IndexType

## Constructor & Destructor Documentation

## IntersectionData() [1/2]

template<typename P0, typename P1>

Dune::GridGlue::IntersectionData< P0, P1 >::IntersectionData | ( | const GridGlue GridGlue & | glue,
|  | unsigned int | mergeindex,
|  | unsigned int | offset,
|  | bool | grid0local,
|  | bool | grid1local )

Constructor the n'th IntersectionData of a given GridGlue.

Todo
  move this functionality to GridGlue

## IntersectionData() [2/2]

template<typename P0, typename P1>

Dune::GridGlue::IntersectionData< P0, P1 >::IntersectionData | ( |  | ) |

default

Default Constructor.

## Member Function Documentation

## geometry()

template<typename P0, typename P1>
template<int side>

const GridGeometry< side > & Dune::GridGlue::IntersectionData< P0, P1 >::geometry | ( |  | ) | const

inline

## index()

template<typename P0, typename P1>
template<int side>

IndexType Dune::GridGlue::IntersectionData< P0, P1 >::index | ( | unsigned int | parentId = 0 | ) | const

inline

## local()

template<typename P0, typename P1>
template<int side>

bool Dune::GridGlue::IntersectionData< P0, P1 >::local | ( |  | ) | const

inline

## localGeometry()

template<typename P0, typename P1>
template<int side>

const GridLocalGeometry< side > & Dune::GridGlue::IntersectionData< P0, P1 >::localGeometry | ( | unsigned int | parentId = 0 | ) | const

inline

## parents()

template<typename P0, typename P1>
template<int side>

IndexType Dune::GridGlue::IntersectionData< P0, P1 >::parents | ( |  | ) | const

inline

## Member Data Documentation

## coorddim

template<typename P0, typename P1>

int Dune::GridGlue::IntersectionData< P0, P1 >::coorddim = GridGlue::dimworld

static constexpr

Dimension of the world space of the intersection.

## index_

template<typename P0, typename P1>

IndexType Dune::GridGlue::IntersectionData< P0, P1 >::index_

index of this intersection after GridGlue interface

## mydim

template<typename P0, typename P1>

int Dune::GridGlue::IntersectionData< P0, P1 >::mydim = dim<0>() < dim<1>() ? dim<0>() : dim<1>()

static constexpr

Dimension of the intersection.

The documentation for this class was generated from the following files:

- gridglue.hh
- intersection.hh